util.ui

## Class DragAndDropMouseListener

- java.lang.Object
- - java.awt.event.MouseAdapter
  - - util.ui.DragAndDropMouseListener

- All Implemented Interfaces:
    java.awt.event.MouseListener, java.awt.event.MouseMotionListener, java.awt.event.MouseWheelListener, java.util.EventListener

      public class DragAndDropMouseListener
      extends java.awt.event.MouseAdapter

  This class implements a MouseListener for DnD in JLists.
  Author:
    René Mach

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DragAndDropMouseListener(javax.swing.JList source, javax.swing.JList target, ListDropAction action, java.awt.dnd.DragGestureListener listener)`
    `DragAndDropMouseListener(javax.swing.JList source, javax.swing.JList target, ListDropAction action, java.awt.dnd.DragGestureListener listener, boolean moveWithDoubleClick)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `mouseClicked(java.awt.event.MouseEvent e)`
    `void` | `mousePressed(java.awt.event.MouseEvent e)`
    `void` | `mouseReleased(java.awt.event.MouseEvent e)`
    `void` | `restore()` Rebuilds the correct MouseListener behavior.

    - ### Methods inherited from class java.awt.event.MouseAdapter

      `mouseDragged, mouseEntered, mouseExited, mouseMoved, mouseWheelMoved`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DragAndDropMouseListener

          public DragAndDropMouseListener(javax.swing.JList source,
                                  javax.swing.JList target,
                                  ListDropAction action,
                                  java.awt.dnd.DragGestureListener listener)

      Parameters:
        `source` - The source list of DnD.
        `target` - The target list of DnD.
        `action` - The action of DnD.
        `listener` - The GestureListener of DnD.

    - #### DragAndDropMouseListener

          public DragAndDropMouseListener(javax.swing.JList source,
                                  javax.swing.JList target,
                                  ListDropAction action,
                                  java.awt.dnd.DragGestureListener listener,
                                  boolean moveWithDoubleClick)

      Parameters:
        `source` - The source list of DnD.
        `target` - The target list of DnD.
        `action` - The action of DnD.
        `listener` - The GestureListener of DnD.
        `moveWithDoubleClick` - If the items should be moved on double click.

  - ### Method Detail

    - #### restore

          public void restore()

      Rebuilds the correct MouseListener behavior.

    - #### mouseClicked

          public void mouseClicked(java.awt.event.MouseEvent e)

      Specified by:
        `mouseClicked` in interface `java.awt.event.MouseListener`
      Overrides:
        `mouseClicked` in class `java.awt.event.MouseAdapter`

    - #### mousePressed

          public void mousePressed(java.awt.event.MouseEvent e)

      Specified by:
        `mousePressed` in interface `java.awt.event.MouseListener`
      Overrides:
        `mousePressed` in class `java.awt.event.MouseAdapter`

    - #### mouseReleased

          public void mouseReleased(java.awt.event.MouseEvent e)

      Specified by:
        `mouseReleased` in interface `java.awt.event.MouseListener`
      Overrides:
        `mouseReleased` in class `java.awt.event.MouseAdapter`

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)